### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.connection

# Class LoginException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.services.connection.ConnectionFactoryException
com.sas.services.connection.LoginException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

Direct Known Subclasses:
  `CredentialsException`, `MissingIdentityException`

@SASScope("ALL") @BinaryCompatibilityOnly public class LoginException extends ConnectionFactoryException
The connection factory throws a login exception when a connection request cannot be granted because the connecting client cannot be authenticated or authorized. After a login exception has been thrown, a future connection request accompanied by different or updated credentials might succeed. In other words, a login exception does not imply a server failure.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LoginException()`
  No-arg constructor.
  `LoginException(String msg)`
  Construct a connection factory exception with a message.
  `LoginException(String msg, Throwable nestedException)`
  Construct a connection factory exception with a message and a nested exception.
  `LoginException(Throwable nestedException)`
  Construct a connection factory exception with a nested exception.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isLoginCallbackError()`
  Get the value of the loginCallbackError attribute.
  `void`
  `setLoginCallbackError(boolean loginCallbackError)`
  Set the value of the loginCallbackError attribute.

  ### Methods inherited from class com.sas.services.connection.ConnectionFactoryException

  `getRootException, getTargetException`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LoginException

    public LoginException()
    No-arg constructor.

  - ### LoginException

    public LoginException(String msg)
    Construct a connection factory exception with a message.
    Parameters:
      `msg` - a message providing further details about the exception

  - ### LoginException

    public LoginException(Throwable nestedException)
    Construct a connection factory exception with a nested exception.
    Parameters:
      `nestedException` - the exception that caused this exception

  - ### LoginException

    public LoginException(String msg, Throwable nestedException)
    Construct a connection factory exception with a message and a nested exception.
    Parameters:
      `msg` - a message providing further details about the exception
      `nestedException` - the exception that caused this exception

- ## Method Details

  - ### isLoginCallbackError

    public boolean isLoginCallbackError()
    Get the value of the loginCallbackError attribute. This attribute is `true` if this exception was thrown after the execution of a User Service login callback.
    Returns:
      the value of the loginCallbackError attribute.

  - ### setLoginCallbackError

    public void setLoginCallbackError(boolean loginCallbackError)
    Set the value of the loginCallbackError attribute. This attribute is `true` if this exception was thrown after the execution of a User Service login callback.
    Parameters:
      `loginCallbackError` - the value of the loginCallbackError attribute.